package com.hys.app.pay.wx;

import com.github.binarywang.wxpay.config.WxPayConfig;
import com.github.binarywang.wxpay.service.WxPayService;
import com.github.binarywang.wxpay.service.impl.WxPayServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class WxPayServiceConfig {

    @Autowired
    private WxPayConfigMy wxPayConfigMy;

    @Bean
    public WxPayService wxPayService() {
        WxPayService wxPayService = new WxPayServiceImpl();
        WxPayConfig payConfig = new WxPayConfig();
        payConfig.setAppId(wxPayConfigMy.getAppId());
        payConfig.setMchId(wxPayConfigMy.getMchId());
        payConfig.setMchKey(wxPayConfigMy.getMchKey());
        payConfig.setKeyPath(wxPayConfigMy.getKeyPath());
        wxPayService.setConfig(payConfig);
        return wxPayService;
    }
}